{% extends "direct_code.j2" %}
{% block settings_attributes %}
        'Settings': [
{%  for attribute in attributes %}
{%      if attribute.type == 'settings' and attribute.group == '' %}
            '{{device}}/{{attribute.name}}',
{%      endif %}
{%  endfor %}
        ],
{% endblock %}
{% block diags_attributes %}
        'Diags': [
{%  for attribute in attributes %}
{%      if attribute.type == 'diags' and attribute.group == '' %}
            '{{device}}/{{attribute.name}}',
{%      endif %}
{%  endfor %}
        ],
{% endblock %}
{% block dc_attributes %}
        'DC': [
{%  for attribute in attributes %}
{%      if 'DC' in attribute.group %}
            '{{device}}/{{attribute.name}}',
{%      endif %}
{%  endfor %}
        ],
{% endblock %}
{% block tunning_attributes %}
        'Tunning': [
{%  for attribute in attributes %}
{%      if 'Tunning' in attribute.group %}
            '{{device}}/{{attribute.name}}',
{%      endif %}
{%  endfor %}
        ],
{% endblock %}
{% block vcxo_attributes %}
        'VCXO': [
{%  for attribute in attributes %}
{%      if 'VCXO' in attribute.group %}
            '{{device}}/{{attribute.name}}',
{%      endif %}
{%  endfor %}
        ],
{% endblock %}
{% block diag_matrix_attributes %}
        'Diag_Matrix': [
{%  for attribute in attributes %}
{%      if 'Diag_Matrix' in attribute.group %}
            '{{device}}/{{attribute.name}}',
{%      endif %}
{%  endfor %}
        ],
{% endblock %}
